
html,
body {
  position: relative;
  height: 100%;
}

body {
  background: #eee;
  font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
  font-size: 14px;
  color: var(--color-primary);
  margin: 0;
  padding: 0;
}

h3.title{
  color: var(--color-primary-dark);
  margin-left: 50px;
}

/*  COVER   */

.cover {
  width: 100%;
  height: 220px;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.cover .swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.cover .autoplay-progress {
  position: absolute;
  right: 16px;
  bottom: 16px;
  z-index: 10;
  width: 48px;
  height: 48px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  color: var(--swiper-theme-color);
}

.cover .autoplay-progress svg {
  --progress: 0;
  position: absolute;
  left: 0;
  top: 0px;
  z-index: 10;
  width: 100%;
  height: 100%;
  stroke-width: 4px;
  stroke: var(--swiper-theme-color);
  fill: none;
  stroke-dashoffset: calc(125.6px * (1 - var(--progress)));
  stroke-dasharray: 125.6;
  transform: rotate(-90deg);
}

.cover .slide-content {
  position: absolute;
  bottom: 20px; /* Distancia desde la parte inferior */
  left: 20px; /* Distancia desde la izquierda */
  color: white; /* Color del texto */
  text-align: left; /* Alineación del texto */
  background: var(--color-primary-opacity); /* Fondo semi-transparente */
  padding: 10px; /* Espaciado interno */
  border-radius: 5px; /* Bordes redondeados */
}

.cover .slide-content h3, 
.cover .slide-content p {
  margin: 0; /* Agregado */
}

   /*  CATEGORY   */

.category {
  width: 90%;
  height: 170px;
}

/* .category .swiper-wrapper{
  width: 90%;
} */

.category .swiper-slide {
  padding-top: 20px;
  display: flex;
  flex-direction: column;
  height: 120px;
  border-radius: 10px;
}

.svg-info{
  padding-left: 50px;
  fill: var(--color-warning);
}

.category-icons{
  width: 80px;
  height: 80px;
  fill:var(--swiper-theme-color);
}

/*  PRODUCTS   */


.products {
  width: 90%;
  height: auto;
  padding: 20px 0;
}

.products .swiper-slide {
      background: #fff;
      border-radius: 8px;
      overflow: hidden;
      box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
      display: flex;
      flex-direction: column;
      height: auto;
    }

.products .product-image {
      width: 80%;
      aspect-ratio: 1/1; /* Mantiene relación 1:1 (4x4) */
      object-fit: cover;
    }

  .products  .product-info {
      padding: 15px;
      text-align: left;
    }

   .products .product-name {
      font-size: 16px;
      font-weight: 600;
      margin: 0 0 5px 0;
      color: var(--color-primary-dark);
    }

   .products .product-price {
      font-size: 18px;
      font-weight: 700;
      color: var(--color-success);
      margin: 0;
    }

  .products  .swiper-pagination {
      position: relative;
      margin-top: 20px;
    }
